@charset "utf-8";
/* CSS Document */

/* Title: layout Exercise
	Date: 4 Nov 2022
	Auther: Takuto
*/

* {
	padding: 0;
	margin: 0;
}

.navi {
	display: flex;
	justify-content: center;
	align-items: center;
	list-style: none;
}

.navi > li {
	padding: 5px 1% 5px 1%;
}

.navi > li {
	font-family: 'Bebas Neue', cursive;
	font-size: 2em;
}

.navi > li a:link, a:active {
	color: aqua;
	text-decoration: none;
}

.navi > li a:hover, a:visited {
	color: #212797;
	border-bottom: 1px solid aqua;
}

.container {
	width: 80%;
	background: #67EF90;
	margin: auto;
}

.main {
	background: #2D802F;
	min-height: 450px;
}

.aside-left {
	min-width: 58%;
	min-height: 450px;
	background:#46D6E3;
	float: left;
	padding: 1%;
}

.aside-right {
	min-width: 38%;
	min-height: 450px;
	background: #49787C;
	float: left;
	padding: 1%;
}

.row {
	background: #F36769;
	padding: 10px;
	display: flex;
	gap: 2%;
	justify-content: center;
}

.column {
	min-width: 30%;
	background: #fff;
	min-height: 200px;
	padding: 2%;
	box-sizing: border-box;
}

@media (max-width: 992px) {
	.container {
		width: 100%;
	}
	
	.row {
		display: block;
	}
	
	.column {
		width: 100%;
		margin: 10px auto;
	}
	
	.aside-left {
		float: none;
		width: 100%;
		margin: 10px auto;
		box-sizing: border-box;
	}
	.aside-right {
		float: none;
		width: 100%;
		margin: 10px auto;
		box-sizing: border-box;
	}
	.navi {
		display: block;
	}
}
